  const int PowerOn = 2;       //Power on via MOSFET
  const int PowerButton = 1;   //Power on Button
  const int GPIOin = 3;        //GPIO Signal from RasPi
  const int DelayLED = 4;
  const int DelayTime = 22000; //44 seconds (two times for loop)

  int Started = LOW;           // is needed to remind the start up   
  int delayLoop = DelayTime/1000;
  

void setup() {
  pinMode(PowerOn, OUTPUT); 
  pinMode(PowerButton, INPUT);
  pinMode(GPIOin, INPUT);
  pinMode(DelayLED, OUTPUT); 
  digitalWrite(PowerOn, LOW); //PS off
  digitalWrite(DelayLED, LOW); //LED off
}

void loop() {
  if (digitalRead(PowerButton) == HIGH)              // someone pushed the On Button
  {
   digitalWrite(PowerOn, HIGH);                      // power up the PS 
  }
  
  if (digitalRead(GPIOin) == HIGH && Started == LOW) // OctoPrint running but not already confirmed?
  {
   Started = HIGH;                                   // confirm start.   
  }
  
  if (digitalRead(GPIOin) == LOW && Started == HIGH) // OctoPrint shuts down the RasPi and start is still confirmed?
  {
   for (int count = 0;count < delayLoop; count++)    // then let's wait...
   {
    delay(125);                                      // ... and blink a bit (the ATtiny 45 needs 125 for a second)
    digitalWrite(DelayLED, HIGH);
    delay(125);
    digitalWrite(DelayLED, LOW);
    if (digitalRead(GPIOin) == HIGH)                 // ok, the server is already up again (=Restart)
    {
     break;                                          // and back to work
    }
   } 
   if (digitalRead(GPIOin) == LOW)                   // still shut down?
   {
    digitalWrite(PowerOn, LOW);                      // Power off
    Started = LOW;                                   // unconfirm running 
   }
  }
}
